Bug 484226 - Review Request: ruby-icon-artist - Supporting libraries for icon artists
Review Request: ruby-icon-artist - Supporting libraries for icon artists
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 10:41 EST by Martin Sourada
Modified: 2009-07-31 14:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1.90-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:36:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luya: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2009-02-05 10:41:32 EST
Spec URL: http://mso.fedorapeople.org/packages/SPECS/ruby-icon-artist.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/ruby-icon-artist-0.1.90-1.fc10.src.rpm
Description: 
Supporting libraries for icon artist scripts. It contains support for generating new icons from templates, exporting PNGs and SVGs from one canvas SVG, creating new icon theme and managing icon theme buildsys.

In our repository it will be primary useful for the next stable release of echo-artist scripts.

Documentation: http://mso.fedorapeople.org/icon-artist/doc/index.html

Note: it's my first library written in ruby as well as my first package of such library, so maybe more throughout review by experienced ruby developer/packager would be good.
Comment 1 Luya Tshimbalanga 2009-07-04 15:13:03 EDT
+ both binary and source package passed rpmlint test
$ rpmlint ../RPMS/noarch/ruby-icon-artist-0.1.90-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint ruby-icon-artist-0.1.90-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ The package is correctly named according to Packaging Name Guideline
ruby-icon-artist

+ spec file %{name} matches the package

- Is %find_lang needed for this kind of package? If so, it should be included for future translation.

+ Package is licensed under LGPL2+

+ COPYING which is a license file is linked under %doc

+ SPEC file is in American English and legible

+ Source used to build package matches upstream source through md5.
f5ebfea7ab6ecd4d97b1953f6cb53e97  

+ Package succesfully built and compiled
--
$ rpmbuild --rebuild ruby-icon-artist-0.1.90-1.fc10.src.rpm 
Installing ruby-icon-artist-0.1.90-1.fc10.src.rpm
warning: user mso does not exist - using root
warning: group mso does not exist - using root
warning: user mso does not exist - using root
warning: group mso does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.484N5P
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd /home/luya/rpmbuild/BUILD
+ rm -rf icon-artist-0.1.90
+ /usr/bin/bzip2 -dc /home/luya/rpmbuild/SOURCES/icon-artist-0.1.90.tar.bz2
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd icon-artist-0.1.90
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.z9uWzt
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd icon-artist-0.1.90
+ export 'CFLAGS=-O2 -g -march=i386 -mtune=i686'
+ CFLAGS='-O2 -g -march=i386 -mtune=i686'
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.ISNvd7
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd icon-artist-0.1.90
+ rm -rf /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386
+ DESTDIR=/home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386
+ ./install.rb
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-static-archive
+ /usr/lib/rpm/brp-strip-comment-note
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.DHMDIL
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd icon-artist-0.1.90
+ exit 0
Processing files: ruby-icon-artist-0.1.90-1.fc11.noarch
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.DX4wjq
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd icon-artist-0.1.90
+ DOCDIR=/home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386/usr/share/doc/ruby-icon-artist-0.1.90
+ export DOCDIR
+ rm -rf /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386/usr/share/doc/ruby-icon-artist-0.1.90
+ /bin/mkdir -p /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386/usr/share/doc/ruby-icon-artist-0.1.90
+ cp -pr doc/AUTHORS doc/classes doc/COPYING doc/created.rid doc/CREDITS doc/files doc/fr_class_index.html doc/fr_file_index.html doc/fr_method_index.html doc/index.html doc/rdoc-style.css /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386/usr/share/doc/ruby-icon-artist-0.1.90
+ exit 0
Provides: ruby(icon-artist) = 0.1.90
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386
warning: Could not canonicalize hostname: muamba.benashima
Wrote: /home/luya/rpmbuild/RPMS/noarch/ruby-icon-artist-0.1.90-1.fc11.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.6ZJNKK
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ cd icon-artist-0.1.90
+ rm -rf /home/luya/rpmbuild/BUILDROOT/ruby-icon-artist-0.1.90-1.fc11.i386
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.G4Nh9p
+ umask 022
+ cd /home/luya/rpmbuild/BUILD
+ rm -rf icon-artist-0.1.90
+ exit 0

---

+ All dependencies are listed in spec file such as ruby

Those are initial reviews. I will work further once the listed issue is resolved.
Comment 2 Martin Sourada 2009-07-04 15:27:42 EDT
(In reply to comment #1)
> - Is %find_lang needed for this kind of package? If so, it should be included
> for future translation.
In the future most likely yes, but as of now it does not support translations, so %find_lang is superfluous.
Comment 3 Luya Tshimbalanga 2009-07-04 17:04:45 EDT
Here is further review

+ Permissions on files are properly set with the use of %defattr(...) line.
+ Package has a %clean section containing rm -fr %{buildroot}
+ Use of macros is consistent
+ Package contains code
+ There is no large documentation
+ Files inside %doc do not affect runtime
+ No header files nor static libraries
+ No .la libtool archives
+ Package does not contain GUI application
+ Package does not own files or directories already owned by other packages.
+ At the beginning of %install, package has rm -rf %{buildroot}
+ All filenames in rpm packages are valid UTF-8. 

Before approval, would you mind to give the list of command for ruby-icon-artists and what does it do in Inkscape?
Comment 4 Luya Tshimbalanga 2009-07-10 15:09:07 EDT
Any update?
Comment 5 Martin Sourada 2009-07-10 15:32:15 EDT
(In reply to comment #4)
> Any update?  

Um, sorry, in a bit of hectic week I forgot about this one.

(In reply to comment #3)
> 
> Before approval, would you mind to give the list of command for
> ruby-icon-artists and what does it do in Inkscape?  

It's actually a library, so no commands. Doc is at http://mso.fedorapeople.org/icon-artist/doc/index.html
If you'd like to try it, install http://mso.fedorapeople.org/packages/RPMS/noarch/echo-artist-0.1.90-0.2.fc10.noarch.rpm

Running 'echo-git-{setup,update} --help' or 'echo-icon-{add,new} --help' should tell you enough about what those commands do.
Comment 6 Luya Tshimbalanga 2009-07-11 04:27:18 EDT
Ok, after reviewing, this package is now approved.
Comment 7 Martin Sourada 2009-07-12 07:25:23 EDT
New Package CVS Request
=======================
Package Name: ruby-icon-artist
Short Description: Supporting libraries for icon artists
Owners: mso
Branches: F-11 F-10 EL-5
InitialCC:
Comment 8 Jason Tibbitts 2009-07-12 13:01:59 EDT
CVS done.
Comment 9 Martin Sourada 2009-07-14 11:36:05 EDT
This package is now in rawhide. Stable Fedoras will follow shortly, EPEL after some time.
Comment 10 Fedora Update System 2009-07-14 12:00:00 EDT
ruby-icon-artist-0.1.90-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ruby-icon-artist-0.1.90-2.fc11
Comment 11 Fedora Update System 2009-07-14 12:03:29 EDT
ruby-icon-artist-0.1.90-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ruby-icon-artist-0.1.90-2.fc10
Comment 12 Fedora Update System 2009-07-31 14:00:59 EDT
ruby-icon-artist-0.1.90-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-31 14:07:21 EDT
ruby-icon-artist-0.1.90-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.